/*
 * TrkRigGeoCut.cpp
 *
 *  Created on: 25-mar-2009
 *      Author: Nicola Mori
 */

/*! @file TrkRigGeoCut.cpp The TrkRigGeoCut class implementation file */

#include "TrkRigGeoCut.h"

int TrkRigGeoCut::Check(PamLevel2 *event) {

  if (event->GetTrack(0)->GetTrkTrack()->GetRigidity() < _thresholdCoeff * event->GetOrbitalInfo()->GetCutoffSVL()) {
    return 0;
  }

  return CUTOK;
}
